Bug 6929 - koha-stop-zebra falls over if a zebra process isn't running
Summary: koha-stop-zebra falls over if a zebra process isn't running
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Target Milestone: ---
Assignee: Robin Sheat
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on: 6997
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-28 06:07 UTC by Robin Sheat
Modified: 2012-10-25 23:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 6929 - ensure that koha-stop-zebra will try to stop everything (872 bytes, patch)
2011-09-28 06:10 UTC, Robin Sheat
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 6929 - ensure that koha-stop-zebra will try to stop everything (991 bytes, patch)
2011-10-08 16:00 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2011-09-28 06:07:21 UTC
If you have many instances, and one of them doesn't have a zebra process, /etc/init.d/koha-common stop will fail to stop the reset as soon as it sees one of these.
Comment 1 Robin Sheat 2011-09-28 06:07:41 UTC
*stop the rest
Comment 2 Robin Sheat 2011-09-28 06:10:14 UTC Comment hidden (obsolete)
Comment 3 Jared Camins-Esakov 2011-10-08 16:00:03 UTC
Created attachment 5799 [details] [review]
[SIGNED-OFF]Bug 6929 - ensure that koha-stop-zebra will try to stop everything

Currently, if it attempts to stop a zebra process that doesn't exist,
the script will abort, which leaves things running. This patch prevents
it from aborting.

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Comment 4 Paul Poulain 2011-10-12 15:53:42 UTC
Comment on attachment 5623 [details] [review]
Bug 6929 - ensure that koha-stop-zebra will try to stop everything

obsoleted by signoff
Comment 5 Paul Poulain 2011-10-12 15:55:19 UTC
QA comment:
Ian: I don't use koha-stop-zebra.
This patch seems trivial, but i let you validate
Comment 6 Ian Walls 2011-10-18 17:04:38 UTC
Simple enough patch, adds backup value to prevent failure and exit.  Marking as Passed QA
Comment 7 Chris Cormack 2011-10-19 03:30:27 UTC
Pushed please test